Fundraising
/- Searches for appeals using predefined parameters
Gets all of the appeals in the system.
Creates a new appeal record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified campaign_id
Returns a appeal from the system by its ID.
Returns a appeal from the system by its ID.
Partially updates a appeal with the specified ID.
Updates a appeal with the specified ID.
Searches for appeals usin...
Searches for appeals using predefined parameters
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/appeals/{tenantId}/search
- https://fundraising.api.rhythmsoftware.comhttps://fundraising.api.rhythmsoftware.com/appeals/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/appeals/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"goal": 0.1,
"ids": [
"string"
],
"name": "string"
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }